/**
 * @file
 * Adds the environment specifics.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.environmentIndicatorRibbon = {
    attach: function () {
      var name = drupalSettings.environment_indicator_ribbon.name;
      var fgcolor = drupalSettings.environment_indicator_ribbon.fgColor;
      var bgcolor = drupalSettings.environment_indicator_ribbon.bgColor;
      $('body').append('<div class="environment-indicator-ribbon" style="background-color: ' + bgcolor + '; color: ' + fgcolor + ';">' + name + '</div>');
    }
  };

})(jQuery, Drupal, drupalSettings);
